package intrinsic.flash.events;

public class NativeDragEvent extends intrinsic.flash.events.MouseEvent {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.desktop.Clipboard clipboard;
	public String dropAction;
	public intrinsic.flash.desktop.DragOptions actionsAllowed;

	/** Constants */
	public static final String NATIVE_DRAG_OVER = "native_drag_over";
	public static final String NATIVE_DRAG_START = "native_drag_start";
	public static final String NATIVE_DRAG_DROP = "native_drag_drop";
	public static final String NATIVE_DRAG_EXIT = "native_drag_exit";
	public static final String NATIVE_DRAG_COMPLETE = "native_drag_complete";
	public static final String NATIVE_DRAG_ENTER = "native_drag_enter";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NativeDragEvent() {
}

public NativeDragEvent(String arg0) {
}

public NativeDragEvent(String arg0, boolean arg1) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, intrinsic.flash.desktop.Clipboard arg6) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, intrinsic.flash.desktop.Clipboard arg6, intrinsic.flash.desktop.DragOptions arg7) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, intrinsic.flash.desktop.Clipboard arg6, intrinsic.flash.desktop.DragOptions arg7, String arg8) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, intrinsic.flash.desktop.Clipboard arg6, intrinsic.flash.desktop.DragOptions arg7, String arg8, boolean arg9) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, intrinsic.flash.desktop.Clipboard arg6, intrinsic.flash.desktop.DragOptions arg7, String arg8, boolean arg9, boolean arg10) {
}

public NativeDragEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, intrinsic.flash.desktop.Clipboard arg6, intrinsic.flash.desktop.DragOptions arg7, String arg8, boolean arg9, boolean arg10, boolean arg11) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
